Package org.eclipse.cdt.utils.coff

## Class Coff

- java.lang.Object
- - org.eclipse.cdt.utils.coff.Coff

    @Deprecated
    public class Coff
    extends Object

Deprecated.
Deprecated as of CDT 6.9. Use 64 bit version `Coff64`. This class is planned for removal in next major release.

### Nested Class Summary

Nested Classes
`static class` `Coff.FileHeader` Deprecated.
`static class` `Coff.Lineno` Deprecated.
`static class` `Coff.OptionalHeader` Deprecated.
`static class` `Coff.Reloc` Deprecated.
`static class` `Coff.SectionHeader` Deprecated.
`static class` `Coff.Symbol` Deprecated.

### Field Summary

Fields
`static String` `NL` Deprecated.

### Constructor Summary

Constructors
`Coff​(RandomAccessFile file, long offset)` Deprecated.
`Coff​(String filename)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Coff.FileHeader` `getFileHeader()` Deprecated.
`Coff.OptionalHeader` `getOptionalHeader()` Deprecated.
`Coff.SectionHeader[]` `getSectionHeaders()` Deprecated.
`byte[]` `getStringTable()` Deprecated.
`static String[]` `getStringTable​(byte[] bytes)` Deprecated.
`Coff.Symbol[]` `getSymbols()` Deprecated.
`static void` `main​(String[] args)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NL

    public static final String NL

Deprecated.

### Constructor Detail

#### Coff

    public Coff​(String filename)
         throws IOException

Deprecated.

Throws:
  `IOException`

#### Coff

    public Coff​(RandomAccessFile file,
                long offset)
         throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### getFileHeader

    public Coff.FileHeader getFileHeader()
                                  throws IOException

Deprecated.

Throws:
  `IOException`

#### getOptionalHeader

    public Coff.OptionalHeader getOptionalHeader()
                                          throws IOException

Deprecated.

Throws:
  `IOException`

#### getSectionHeaders

    public Coff.SectionHeader[] getSectionHeaders()
                                           throws IOException

Deprecated.

Throws:
  `IOException`

#### getSymbols

    public Coff.Symbol[] getSymbols()
                             throws IOException

Deprecated.

Throws:
  `IOException`

#### getStringTable

    public byte[] getStringTable()
                          throws IOException

Deprecated.

Throws:
  `IOException`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### getStringTable

    public static String[] getStringTable​(byte[] bytes)

Deprecated.

#### main

    public static void main​(String[] args)

Deprecated.